JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.company.getHoldingsV1('company_id');
console.log(response.company_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.company.get_holdings_v1(
"company_id",
)
print(response.company_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Company.GetHoldingsV1(context.TODO(), "company_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CompanyID)
}
openregister company get-holdings-v1 \
--api-key 'My API Key' \
--company-id company_idcurl --request GET \
--url https://api.openregister.de/v1/company/{company_id}/holdings \
--header 'Authorization: Bearer <token>'
{
"company_id": "<string>",
"holdings": [
{
"company_id": "<string>",
"relation_type": "shareholder",
"name": "<string>",
"nominal_share": 123,
"percentage_share": 123,
"start": "2023-12-25",
"end": "2023-12-25"
}
]
}Company holdings
GET
/
v1
/
company
/
{company_id}
/
holdings
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.company.getHoldingsV1('company_id');
console.log(response.company_id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.company.get_holdings_v1(
"company_id",
)
print(response.company_id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Company.GetHoldingsV1(context.TODO(), "company_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.CompanyID)
}
openregister company get-holdings-v1 \
--api-key 'My API Key' \
--company-id company_idRetrieve the holdings of a company
Get a list of companies that this company owns or has stakes in. This endpoint reveals a company’s investment portfolio and subsidiary structure, showing which other companies it controls or has invested in. Use this to map corporate groups and understand investment strategies. Cost: 10 creditsAuthorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Path Parameters
Unique company identifier. Example: DE-HRB-F1103-267645
Was this page helpful?
⌘I

